curl --request GET \
--url https://api.select.dev/api/{organization_id}/usage-group-sets/{usage_group_set_id}/usage-groups/{usage_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.select.dev/api/{organization_id}/usage-group-sets/{usage_group_set_id}/usage-groups/{usage_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.select.dev/api/{organization_id}/usage-group-sets/{usage_group_set_id}/usage-groups/{usage_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filter_expression": {
"operator": "and",
"filters": [
{
"field": {
"field": "bigquery_storage_project",
"path": [
"<string>"
]
},
"value": 123,
"operator": ">",
"not": false
}
],
"component_type": "Resource Filter"
},
"filter_expression_json": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_group_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"order": 123,
"usage_group_set_name": "<string>",
"budget": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get a usage group
Retrieve a specific usage group by its ID.
GET /usage-group-sets/{usage_group_set_id}/usage-groups/{usage_group_id}
in the v2 API instead.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the usage group set
The ID of the usage group
Response
Successful Response
The structured filter expression object that defines which Snowflake usage is attributed to this usage group.
Show child attributes
Show child attributes
The JSON string representation of the filter expression, used by the terraform provider.
The unique identifier of the usage group.
The timestamp when the usage group was created.
The timestamp when the usage group was last updated.
The ID of the usage group set this usage group belongs to.
The name of the usage group.
The display order and cost allocation precedence of the usage group within its usage group set. Lower values have higher precedence for cost allocation when filter expressions overlap.
The name of the usage group set this usage group belongs to.
The budget allocated to this usage group in credits. Null indicates no budget limit.

